=== debian/changelog ===
ladr (0.0.200911a-2) unstable; urgency=low

  * QA upload.
  * Upload to unstable.
  * Change maintainer to QA group.

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 25 May 2013 11:43:32 +0200

ladr (0.0.200911a-1) experimental; urgency=low

  * QA upload.
  * New upstream release
  * debian/watch
    - update to deal with obsolete Perl's regrex (Closes: #544790)
      Thanks to Adam D. Barratt <adam@adam-barratt.org.uk> 
  * debian/rules
    - convert to dh7 style
    - pass "all" to dh_auto_build
  * debian/patches: convert to use quilt and refresh
  * debian/source/format: specify "3.0 (quilt)"
  * debian/control
    - drop "Build-Depends: dpatch"
    - remove unnecessary "DM-Upload-Allowed: yes" line
    - use Multi-Arch
    - set "Standards-Version: 3.9.4"
  * debian/compat: set 7
  * {libladr4,libladr-dev}.install
    - adjust install directroy
    - don't install *.la files
    - don't install *.so files in -dev package
  * debian/libladr4.symbols: update

 -- Hideki Yamane <henrich@debian.org>  Thu, 13 Dec 2012 01:19:19 +0900

ladr (0.0.200902a-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/01-libtoolise.dpatch
    - it drops -lm but it is needed for binutils-gold (Closes: #555074)

 -- Hideki Yamane <henrich@debian.org>  Sun, 08 Jan 2012 10:10:29 +0900

ladr (0.0.200902a-2) unstable; urgency=low

  * Merged from Ubuntu, fixes FTBFS (closes: #526541)
    - Drop -shared from the libtool command to make libladr.la in
      debian/patches/01-libtoolise.dpatch so that both the shared and
      static libraries are built. The .install file tries to install both,
      and if -shared is passed the .a isn't built and the package fails
      to build. This appears to be a change in libtool behaviour.

 -- Peter Collingbourne <peter@pcc.me.uk>  Sun, 03 May 2009 18:07:07 +0100

ladr (0.0.200902a-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated for new prover9-doc
  * debian/ladr4-apps.install, debian/ladr4-apps.links: new application
    complex, removed application rewriter2
  * debian/libladr4.symbols: updated
  * debian/control: new Standards-Version

 -- Peter Collingbourne <peter@pcc.me.uk>  Sat, 14 Mar 2009 23:55:22 +0000

ladr (0.0.200811a-1) unstable; urgency=low

  * New upstream release.
  * debian/interpformat.1: documented option "wrap"
  * debian/patches/01-libtoolise.dpatch: updated from common
  * debian/libladr4.symbols: updated
  * debian/control: updated for new prover9-doc
  * debian/control: Vcs-Bzr uses nosmart+http protocol
  * debian/clausefilter.1, debian/clausetester.1, debian/control,
    debian/copyright, debian/interpfilter.1, debian/interpformat.1,
    debian/isofilter.1, debian/ladr4-apps.1,
    debian/ladr4-apps.README.Debian, debian/mace4.1,
    debian/prooftrans.1, debian/prover9.1, debian/rewriter.1: changed
    maintainer email address (again)
  * debian/ladr4-apps.install, debian/ladr4-apps.links: new application
    rewriter2
  * debian/control: do not duplicate "Section" field for binary packages
  * debian/copyright: changed year to 2009, corrected expression of
    copyright, refer to GPL-2 explicitly

 -- Peter Collingbourne <peter@pcc.me.uk>  Tue, 17 Feb 2009 01:48:06 +0000

ladr (0.0.200809a-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-libtoolise.dpatch: new programmatic patch script,
    original version by Heinz Wiesinger <pprkut@liwjatan.at>
  * debian/control: updated for new prover9-doc
  * debian/libladr4.symbols: updated
  * debian/clausefilter.1, debian/clausetester.1, debian/control,
    debian/copyright, debian/interpfilter.1, debian/interpformat.1,
    debian/isofilter.1, debian/ladr4-apps.1,
    debian/ladr4-apps.README.Debian, debian/mace4.1,
    debian/prooftrans.1, debian/prover9.1, debian/rewriter.1: changed
    maintainer email address

 -- Peter Collingbourne <peter@peter.uk.to>  Sat, 13 Sep 2008 21:23:58 +0100

ladr (0.0.200806a-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-libtoolise.dpatch: new source file weight2.c
  * debian/libladr4.symbols: updated
  * debian/control: new Standards-Version, updated for new prover9-doc
  * debian/prooftrans.1: documented new tagged format

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Sun, 29 Jun 2008 03:23:16 +0100

ladr (0.0.200805a-1) unstable; urgency=low

  * New upstream release.
  * debian/libladr4.symbols: added new symbols
  * debian/control
    - updated for new prover9-doc
    - added DM-Upload-Allowed: yes
  * debian/copyright: give correct license information

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Mon, 12 May 2008 18:07:55 +0100

ladr (0.0.200804a-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-libtoolise.dpatch: updated for new Makefiles
  * debian/patches/02-shebangs.dpatch: deleted, applied upstream
  * debian/ladr4-apps.install, debian/ladr4-apps.links, debian/ladr4-apps.docs:
    added new application directproof
  * debian/watch: added support for new version numbering scheme
  * debian/interpformat.1, debian/prover9.1: replaced hyphens with minus
    signs
  * debian/libladr4.symbols: updated
  * debian/control: updated for new prover9-doc
  * debian/copyright: give correct license information

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Tue, 08 Apr 2008 23:44:14 +0100

ladr (0.0.200712-2) unstable; urgency=low

  * debian/ladr4-apps.links: symlink usr/share/man/man1/prover9-mace4.1.gz
    removed, as it does not refer to an installed application and conflicts
    with the prover9-mace4 package

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Sun, 10 Feb 2008 20:34:47 +0000

ladr (0.0.200712-1) unstable; urgency=low

  * Initial release (Closes: #437936)
  * Fixed and libtoolized Makefiles
  * Wrote man pages
  * utilities/get_givens, utilities/get_interps, utilities/get_kept:
    now use Bourne shell to avoid unneccessary dependencies

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Tue, 22 Jan 2008 17:39:05 +0000
