=== debian/control ===
Source: ladr
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~), libtool
Standards-Version: 3.9.4
Section: math
Vcs-Bzr: nosmart+http://bzr.debian.org/collab-maint/ladr/unstable/
Homepage: http://www.cs.unm.edu/~mccune/mace4/

Package: libladr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libladr4 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: the LADR deduction library, development files
 LADR (Library for Automated Deduction Research) is a library for
 use in constructing theorem provers.  Among other useful routines it
 provides facilities for applying inference rules such as resolution
 and paramodulation to clauses.  LADR is used by the prover9 theorem
 prover, and by the mace4 countermodel generator.
 .
 This package provides development support files for LADR.

Package: libladr4
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: the LADR deduction library
 LADR (Library for Automated Deduction Research) is a library for
 use in constructing theorem provers.  Among other useful routines it
 provides facilities for applying inference rules such as resolution
 and paramodulation to clauses.  LADR is used by the prover9 theorem
 prover, and by the mace4 countermodel generator.

Package: prover9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ladr4-apps (= ${binary:Version}), prover9-doc (>> 0.0.200902a), prover9-doc (<< 0.0.200902b)
Description: theorem prover and countermodel generator
 This package provides the Prover9 resolution/paramodulation theorem
 prover and the Mace4 countermodel generator.
 .
 Prover9 is an automated theorem prover for first-order and equational
 logic. It is a successor of the Otter prover.  Prover9 uses the
 inference techniques of ordered resolution and paramodulation with
 literal selection.
 .
 The program Mace4 searches for finite structures satisfying first-order
 and equational statements, the same kind of statement that Prover9
 accepts. If the statement is the denial of some conjecture, any
 structures found by Mace4 are counterexamples to the conjecture.
 .
 Mace4 can be a valuable complement to Prover9, looking for
 counterexamples before (or at the same time as) using Prover9 to search
 for a proof. It can also be used to help debug input clauses and formulas
 for Prover9.

Package: ladr4-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Recommends: prover9-doc (>> 0.0.200902a), prover9-doc (<< 0.0.200902b)
Description: the LADR deduction library, miscellaneous applications
 LADR (Library for Automated Deduction Research) is a library for
 use in constructing theorem provers.  Among other useful routines it
 provides facilities for applying inference rules such as resolution
 and paramodulation to clauses.  LADR is used by the prover9 theorem
 prover, and by the mace4 countermodel generator.
 .
 This package provides miscellaneous LADR applications.
