=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LIBDIR="$(CURDIR)/usr/lib/`dpkg-architecture -qDEB_BUILD_MULTIARCH`"

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all
	mkdir -p $(LIBDIR) && libtool --mode=install install -m0644 ladr/libladr.la $(LIBDIR)

override_dh_clean:
	$(MAKE) realclean
	dh_clean
